### Method

# Shell TrayIcon click

#### Declaration [src]

    void
    shell_tray_icon_click (
      ShellTrayIcon* icon,
      ClutterEvent* event
    )

#### Description [src]

Fakes a press and release on `icon`. `event` must be a `CLUTTER_BUTTON_RELEASE`, `CLUTTER_KEY_PRESS` or `CLUTTER_KEY_RELEASE` event. Its relevant details will be passed on to the icon, but its coordinates will be ignored; the click is always made on the center of `icon`.

#### Parameters

`event`

  Type: `ClutterEvent`

  The `ClutterEvent` triggering the fake click.

  The data is owned by the caller of the method.